Header names with underscore not working in Apache

This problem is occurring in Apache 2.4 version. If the header name contains underscore (_) it will not work if the Apache version is 2.4

This is not an issue and its a new feature with this version of Apache in-order to mitigate some possible cross-site-scripting attacks via header injection. So the headers containing invalid characters (including underscores) are now silently dropped.

Reference: httpd.apache.org/docs/trunk/new_features_2_4.html

That's all…

Leave a Reply

Your email address will not be published. Required fields are marked *